
#include <windows.h>
#include "File.h"

File::File() : Multitude(0)
{
}

File::~File()
{
	iter iStr = strList.begin();
	while(iStr != strList.end())
	{
		delete (*iStr);
		iStr = strList.erase(iStr);
	}
}

bool File::Load(TCHAR *FileName)
{
	if(!FileName)//Must be cheked exist of file might be there
		return false;
	_tcsncpy(szFileName, FileName, MAX_PATH);
	return true;
}

TCHAR *File::getString(TCHAR *key)
{
	for(iter iStr = strList.begin(); iStr != strList.end(); ++iStr)
		if(0 ==_tcscmp(key, (*iStr)->Key))
			return (*iStr)->str;

	CurStr *sStr = new CurStr;
	if(!sStr)
		return NULL;
	_tcsncpy(sStr->Key, key, 128);

	GetPrivateProfileString(TEXT("Program Section"), key, NULL, sStr->str, MAX_PATH, szFileName);

	strList.push_back(sStr);

	return getString(key);
}

bool File::getBoolean(TCHAR *key)
{
	GetPrivateProfileString(TEXT("Program Section"), key, NULL, boolVal, MAX_PATH, szFileName);
	if(0 ==_tcscmp(boolVal, TEXT("true")))
		return true;
	return false;
}

double File::getNumber(TCHAR *key)
{
	if(!Multitude)
		Multitude = GetPrivateProfileInt(TEXT("Program Section"), TEXT("Multitude"), 0, szFileName);
	val = GetPrivateProfileInt(TEXT("Program Section"), key, 0, szFileName);
	return val / Multitude;
}