#ifndef __USERCONTROL_H_
#define __USERCONTROL_H_

#include <windows.h>

class UserControl
{
private:
	POINT UcPos;
	SIZE UcSize;
	HWND hWndUcParent, hWnd;
public:
	UserControl(TCHAR *lpClassName, DWORD dwStyle, HWND hWndParent, int ID, HINSTANCE hInst);

	long GetXpos();
	void SetXpos(long x);
	long GetYpos();
	void SetYpos(long y);

	long GetWidth();
	void SetWidth(long CX);
	long GetHeight();
	void SetHeight(long CY);

	void SetText(TCHAR *lpText);
	void SetFont(HFONT *hFont);

	HWND GetHwnd();

	static void GetWindowSize(HWND hWnd, long *iWidth, long *iHeight);
	static void GetWindowPos(HWND hWndParent, HWND hWindow, long *iX, long *iY);

	void SetXpos(double x);
	void SetYpos(double y);

	void SetWidth(double CX);
	void SetHeight(double CY);
};

#endif